www.cendio.com
Bug 4929 - start using optimisation flags for new packages
: start using optimisation flags for new packages
Status: CLOSED FIXED
: ThinLinc
Build system
: trunk
: PC Unknown
: P2 Normal
: 4.4.0
Assigned To:
:
:
:
: 3304
  Show dependency treegraph
 
Reported: 2013-12-04 11:00 by
Modified: 2015-04-17 12:13 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-12-04 11:00:32
This is a light version of bug 3304. Instead of going through every package and
adjusting it, we'll update the template (and possibly documentation) and remind
people to add proper flags when setting up new packages and updating old ones.
------- Comment #1 From cendio 2015-02-05 17:31:05 -------
Implemented by putting the flags in the %configure and %cmake macros. Also
mentioned in the template in case neither autoconf or cmake are used.

Fixed in r29941 and r29942.
------- Comment #2 From cendio 2015-02-20 10:30:15 -------
cmake problem fixed in r30009.
------- Comment #3 From cendio 2015-04-17 11:02:12 -------
Verified that cmake / configure macros works as expected building fltk and file
have the expected optimization flags.
------- Comment #4 From cendio 2015-04-17 12:12:39 -------
(In reply to comment #3)
> Verified that cmake / configure macros works as expected building fltk and file
> have the expected optimization flags.

file package was a bad test. Retested configure and CFLAGS using gettext
package.

Looks good. Closing...